Package Gnumed :: Package wxpython :: Module gmTerryGuiParts :: Class cHeadingCaption |
[frames] | no frames]

# Class cHeadingCaption

source code

    wx.Panel --+
               |
              cHeadingCaption

This panel consists constructs a simple heading to be used at the top

of a panel, in the form of capitalised word on user defined foreground and background colours. The heading is left justified curently. The default colours are purple panel, orange label with yellow capitalised words (sounds yuk doesn't it - but I like it and it works well!!!!!

Instance Methods
__init__(self, parent, id, text, bgC=wx.Colour(197,194,255), hdrC=wx.Colour(255,129,131), txtC=wx.Colour(255,255,0)) | source code
OnPaint(self, event) | source code
OnSize(self, event) | source code
redraw(self, dc) | source code
SetCaptionBackgroundColor(self, bgC) | source code
SetCaptionForegroundColor(self, hdrC) | source code